National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

CVE-2013-1901 Detail

Current Description

PostgreSQL 9.2.x before 9.2.4 and 9.1.x before 9.1.9 does not properly check REPLICATION privileges, which allows remote authenticated users to bypass intended backup restrictions by calling the (1) pg_start_backup or (2) pg_stop_backup functions.

Source:  MITRE
View Analysis Description

Severity



CVSS 3.x Severity and Metrics:

NIST CVSS score
NIST: NVD
Base Score: N/A
NVD score not yet provided.

Evaluator Impact

Per http://www.ubuntu.com/usn/USN-1789-1/ "A security issue affects these releases of Ubuntu and its derivatives: Ubuntu 12.10 Ubuntu 12.04 LTS Ubuntu 11.10 Ubuntu 10.04 LTS Ubuntu 8.04 LTS"

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource
http://lists.apple.com/archives/security-announce/2013/Sep/msg00002.html
http://lists.apple.com/archives/security-announce/2013/Sep/msg00004.html
http://lists.fedoraproject.org/pipermail/package-announce/2013-April/101519.html
http://lists.fedoraproject.org/pipermail/package-announce/2013-April/102806.html
http://lists.opensuse.org/opensuse-security-announce/2013-04/msg00007.html
http://lists.opensuse.org/opensuse-security-announce/2013-04/msg00008.html
http://lists.opensuse.org/opensuse-security-announce/2013-04/msg00011.html
http://lists.opensuse.org/opensuse-security-announce/2013-04/msg00012.html
http://support.apple.com/kb/HT5880
http://support.apple.com/kb/HT5892
http://www.debian.org/security/2013/dsa-2658
http://www.mandriva.com/security/advisories?name=MDVSA-2013:142
http://www.postgresql.org/about/news/1456/ Vendor Advisory
http://www.postgresql.org/docs/current/static/release-9-1-9.html
http://www.postgresql.org/docs/current/static/release-9-2-4.html
http://www.ubuntu.com/usn/USN-1789-1

Weakness Enumeration

CWE-ID CWE Name Source
CWE-264 Permissions, Privileges, and Access Controls NIST  

Known Affected Software Configurations Switch to CPE 2.2

Configuration 1 ( hide )
 cpe:2.3:a:postgresql:postgresql:9.2:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:postgresql:postgresql:9.2.1:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:postgresql:postgresql:9.2.2:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:postgresql:postgresql:9.2.3:*:*:*:*:*:*:*
     Show Matching CPE(s)

Configuration 2 ( hide )
 cpe:2.3:a:postgresql:postgresql:9.1:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:postgresql:postgresql:9.1.1:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:postgresql:postgresql:9.1.2:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:postgresql:postgresql:9.1.3:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:postgresql:postgresql:9.1.4:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:postgresql:postgresql:9.1.5:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:postgresql:postgresql:9.1.6:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:postgresql:postgresql:9.1.7:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:a:postgresql:postgresql:9.1.8:*:*:*:*:*:*:*
     Show Matching CPE(s)

Configuration 3 ( hide )
 cpe:2.3:o:canonical:ubuntu_linux:8.04:-:lts:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:o:canonical:ubuntu_linux:10.04:-:lts:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:o:canonical:ubuntu_linux:11.10:*:*:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:o:canonical:ubuntu_linux:12.04:-:lts:*:*:*:*:*
     Show Matching CPE(s)
 cpe:2.3:o:canonical:ubuntu_linux:12.10:*:*:*:*:*:*:*
     Show Matching CPE(s)


Change History

1 change record found - show changes

Quick Info

CVE Dictionary Entry:
CVE-2013-1901
NVD Published Date:
04/04/2013
NVD Last Modified:
11/30/2013